Get aggregate totals for a session

Returns aggregate request count, token usage, cost, and duration for a single session.

GET
/api/logs/sessions/{session_id}/summary
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

session_idstring

Parent request ID identifying the session

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/logs/sessions/string/summary"
{
  "session_id": "string",
  "count": 0,
  "total_cost": 0,
  "total_tokens": 0,
  "started_at": "string",
  "latest_at": "string",
  "duration_ms": 0
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings